## com.baidubce.services.lss.model
Class CreatePresetRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.lss.model.CreatePresetRequest

    public class CreatePresetRequest

extends AbstractBceRequest

Constructor Summary
`CreatePresetRequest()`

Method Summary
`Audio` `getAudio()` 音频输出信息的集合
`String` `getDescription()` 模板的描述
`Boolean` `getForwardOnly()` 是否仅进行直播转发，保持输入流分辨率与码率不变
`Hls` `getHls()` hls输出参数
`String` `getName()` 直播模板名称
`Rtmp` `getRtmp()` rtmp参数
`LiveThumbnail` `getThumbnail()` 缩略图输出信息的集合
`Video` `getVideo()` 视频输出信息的集合
`Watermarks` `getWatermarks()` 直播水印相关参数
`void` `setAudio(Audio audio)`
`void` `setDescription(String description)`
`void` `setForwardOnly(Boolean forwardOnly)`
`void` `setHls(Hls hls)`
`void` `setName(String name)`
`void` `setRtmp(Rtmp rtmp)`
`void` `setThumbnail(LiveThumbnail thumbnail)`
`void` `setVideo(Video video)`
`void` `setWatermarks(Watermarks watermarks)`
`String` `toString()`
`CreatePresetRequest` `withAudio(Audio audio)`
`CreatePresetRequest` `withDescription(String description)`
`CreatePresetRequest` `withForwardOnly(Boolean forwardOnly)`
`CreatePresetRequest` `withHls(Hls hls)`
`CreatePresetRequest` `withName(String name)`
`CreatePresetRequest` `withRequestCredentials(BceCredentials credentials)`
`CreatePresetRequest` `withRtmp(Rtmp rtmp)`
`CreatePresetRequest` `withThumbnail(LiveThumbnail thumbnail)`
`CreatePresetRequest` `withVideo(Video video)`
`CreatePresetRequest` `withWatermarks(Watermarks watermarks)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreatePresetRequest

    public CreatePresetRequest()

Method Detail

### getName

    public String getName()

  直播模板名称

### setName

    public void setName(String name)

### withName

    public CreatePresetRequest withName(String name)

### getDescription

    public String getDescription()

  模板的描述

### setDescription

    public void setDescription(String description)

### withDescription

    public CreatePresetRequest withDescription(String description)

### getForwardOnly

    public Boolean getForwardOnly()

  是否仅进行直播转发，保持输入流分辨率与码率不变

### setForwardOnly

    public void setForwardOnly(Boolean forwardOnly)

### withForwardOnly

    public CreatePresetRequest withForwardOnly(Boolean forwardOnly)

### getAudio

    public Audio getAudio()

  音频输出信息的集合

### setAudio

    public void setAudio(Audio audio)

### withAudio

    public CreatePresetRequest withAudio(Audio audio)

### getVideo

    public Video getVideo()

  视频输出信息的集合

### setVideo

    public void setVideo(Video video)

### withVideo

    public CreatePresetRequest withVideo(Video video)

### getHls

    public Hls getHls()

  hls输出参数

### setHls

    public void setHls(Hls hls)

### withHls

    public CreatePresetRequest withHls(Hls hls)

### getRtmp

    public Rtmp getRtmp()

  rtmp参数

### setRtmp

    public void setRtmp(Rtmp rtmp)

### withRtmp

    public CreatePresetRequest withRtmp(Rtmp rtmp)

### getWatermarks

    public Watermarks getWatermarks()

  直播水印相关参数

### setWatermarks

    public void setWatermarks(Watermarks watermarks)

### withWatermarks

    public CreatePresetRequest withWatermarks(Watermarks watermarks)

### getThumbnail

    public LiveThumbnail getThumbnail()

  缩略图输出信息的集合

### setThumbnail

    public void setThumbnail(LiveThumbnail thumbnail)

### withThumbnail

    public CreatePresetRequest withThumbnail(LiveThumbnail thumbnail)

### withRequestCredentials

    public CreatePresetRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.